#declare mastelero_mesana=
union
{
 union
 {
  cone {<0,0,0>,1.5,<55,0,0>,1}
  cone {<0,0,0>,1.5,<-55,0,0>,1}
  texture {madera1}
 }
 union
 {
  cylinder {<10,0,0>,<-10,0,0>,1.55}
  sphere {0,1.5 scale <1,1,.1> translate <20,0,0>}
  sphere {0,1.5 scale <1,1,.1> translate <-20,0,0>}
  sphere {0,1.25 scale <1,1,.1> translate <35,0,0>}
  sphere {0,1.25 scale <1,1,.1> translate <-35,0,0>}
  texture {metal}
 }
}

#declare mastelero_mayor_mayor=
union
{
 union
 {
  cone {<0,0,0>,1.5,<0,0,-60>,1}
  cone {<0,0,0>,1.5,<0,0,60>,1}
  texture {madera1}
 }
 union
 {
  cylinder {<0,0,10>,<0,0,-10>,1.55}
  sphere {0,1.5 scale <1,1,.1> translate <0,0,30>}
  sphere {0,1.5 scale <1,1,.1> translate <0,0,-30>}
  sphere {0,1.25 scale <1,1,.1> translate <0,0,50>}
  sphere {0,1.25 scale <1,1,.1> translate <0,0,-50>}
  torus {1,.1 rotate z*90 translate <0,0,-60.9>}
  torus {1,.1 rotate z*90 translate <0,0,60.9>}
  texture {metal}
 }
}

#declare mastelero_gavia_mayor=
union
{
 union
 {
  cone {<0,0,0>,1,<0,0,-40>,.5}
  cone {<0,0,0>,1,<0,0,40>,.5}
  texture {madera1}
 }
 union
 {
  cylinder {<0,0,5>,<0,0,-5>,1.05}
  sphere {0,1 scale <1,1,.1> translate <0,0,20>}
  sphere {0,1 scale <1,1,.1> translate <0,0,-20>}
  sphere {0,.75 scale <1,1,.1> translate <0,0,40>}
  sphere {0,.75 scale <1,1,.1> translate <0,0,-40>}
  torus {.75,.1 rotate z*90 translate <0,0,-40.9>}
  torus {.75,.1 rotate z*90 translate <0,0,40.9>}
  texture {metal}
 }
}

#declare mastelero_mayor_trinquete=
union
{
 union
 {
  cone {<0,0,0>,1.5,<0,0,-50>,1}
  cone {<0,0,0>,1.5,<0,0,50>,1}
  texture {madera1}
 }
 union
 {
  cylinder {<0,0,10>,<0,0,-10>,1.55}
  sphere {0,1.5 scale <1,1,.1> translate <0,0,20>}
  sphere {0,1.5 scale <1,1,.1> translate <0,0,-20>}
  sphere {0,1.25 scale <1,1,.1> translate <0,0,40>}
  sphere {0,1.25 scale <1,1,.1> translate <0,0,-40>}
  torus {1,.1 rotate z*90 translate <0,0,-50.9>}
  torus {1,.1 rotate z*90 translate <0,0,50.9>}
  texture {metal}
 }
}

#declare mastelero_gavia_trinquete=
union
{
 union
 {
  cone {<0,0,0>,1,<0,0,-35>,.5}
  cone {<0,0,0>,1,<0,0,35>,.5}
  texture {madera1}
 }
 union
 {
  cylinder {<0,0,5>,<0,0,-5>,1.05}
  sphere {0,1 scale <1,1,.1> translate <0,0,15>}
  sphere {0,1 scale <1,1,.1> translate <0,0,-15>}
  sphere {0,.75 scale <1,1,.1> translate <0,0,30>}
  sphere {0,.75 scale <1,1,.1> translate <0,0,-30>}
  torus {.75,.1 rotate z*90 translate <0,0,-35.9>}
  torus {.75,.1 rotate z*90 translate <0,0,35.9>}
  texture {metal}
 }
}

#declare cofa=
union
{
 union
 {
  cylinder {<-5,0,0>,<-5,-.5,0>,9}
  box {<-5,0,9>,<9,-.5,-9>}
  texture {madera2}
 }
 difference
 {
  union
  {
   cylinder {<-5,1,0>,<-5,-1,0>,10}
   box {<-5,1,10>,<10,-1,-10>}
  }
  union
  {
   cylinder {<-5,2,0>,<-5,-2,0>,8}
   box {<-5,2,8>,<8,-2,-8>}
  }
  texture {madera1}
 }
 union
 {
  torus {1,.1 rotate z*90 translate <-5,0,-10.9>}
  torus {1,.1 rotate z*90 translate <0,0,-10.9>}
  torus {1,.1 rotate z*90 translate <5,0,-10.9>}
  torus {1,.1 rotate z*90 translate <10,0,-10.9>}
  torus {1,.1 rotate z*90 translate <-5,0,10.9>}
  torus {1,.1 rotate z*90 translate <0,0,10.9>}
  torus {1,.1 rotate z*90 translate <5,0,10.9>}
  torus {1,.1 rotate z*90 translate <10,0,10.9>}
  torus {1,.1 rotate x*90 translate <-15.9,0,0>}
  torus {1,.1 rotate x*90 translate <9.9,0,0>}
  texture {metal}
 }
}

#declare detalles_palo_mayor=
union
{
 cylinder {<0,10.5,0>,<0,9.5,0>,7.5}
 #declare aa=0
 #while (aa<360)
  sphere {0,1 scale <1,1.5,1> translate <-6,11.5,0> rotate y*aa}
  cylinder {<-6,10,0>,<-6,7,0>,.5 rotate y*aa}
  #declare aa=aa+30
 #end
 texture {madera1}
}

#declare detalles_trinquete=
union
{
 #declare aa=0
 #while (aa<10)
   torus {4,.5 translate <0,40+aa,0> texture {cuerda}}
   #declare aa=aa+1
 #end
}

/**************************************************** palos *****************************/
#declare palo_mayor=
union
{
 object {detalles_palo_mayor}
 object {cofa translate <0,90,0>}
 object {mastelero_mayor_mayor translate <-10,85,0>}
 object {mastelero_gavia_mayor translate <-9,160,0>}
 union
 {
  cone {<0,0,0>,4,<0,105,0>,2.5}
  cone {<-5,90,0>,2.5,<-5,170,0>,1}
  cone {<-3,160,0>,1,<-3,200,0>,.25}
  box {<-10,165,3>,<0,163,-3>}
  texture {madera1}
 }
 union
 {
  cylinder {<-5,100,0>,<-5,104,0>,3.5}
  box {<-5,100,3.5>,<0,104,-3.5>}
  cylinder {<0,100,0>,<0,104,0>,3.5}
  cylinder {<-5,169,0>,<-5,165,0>,2}
  box {<-5,169,2>,<-3,165,-2>}
  cylinder {<-3,169,0>,<-3,165,0>,2}

  torus {1,.1 rotate z*90 translate <-7,164,-3.9>}
  torus {1,.1 rotate z*90 translate <-4,164,-3.9>}
  torus {1,.1 rotate z*90 translate <-1,164,-3.9>}
  torus {1,.1 rotate z*90 translate <-7,164,3.9>}
  torus {1,.1 rotate z*90 translate <-4,164,3.9>}
  torus {1,.1 rotate z*90 translate <-1,164,3.9>}
  torus {1,.1 rotate x*90 translate <-5.9,164,0>}
  torus {1,.1 rotate x*90 translate <.9,164,0>}

  texture {metal}
 }
}

#declare trinquete=
union
{
 object {detalles_trinquete}
 object {cofa translate <0,85,0>}
 object {mastelero_mayor_trinquete translate <-10,80,0>}
 object {mastelero_gavia_trinquete translate <-9,145,0>}
 union
 {
  cone {<0,-10,0>,4,<0,100,0>,2.5}
  cone {<-5,85,0>,2.5,<-5,155,0>,1}
  cone {<-3,145,0>,1,<-3,185,0>,.25}
  box {<-10,150,3>,<0,148,-3>}
  texture {madera1}
 }
 union
 {
  cylinder {<-5,95,0>,<-5,99,0>,3.5}
  box {<-5,95,3.5>,<0,99,-3.5>}
  cylinder {<0,95,0>,<0,99,0>,3.5}
  cylinder {<-5,150,0>,<-5,154,0>,2}
  box {<-5,150,2>,<-3,154,-2>}
  cylinder {<-3,150,0>,<-3,154,0>,2}

  torus {1,.1 rotate z*90 translate <-7,149,-3.9>}
  torus {1,.1 rotate z*90 translate <-4,149,-3.9>}
  torus {1,.1 rotate z*90 translate <-1,149,-3.9>}
  torus {1,.1 rotate z*90 translate <-7,149,3.9>}
  torus {1,.1 rotate z*90 translate <-4,149,3.9>}
  torus {1,.1 rotate z*90 translate <-1,149,3.9>}
  torus {1,.1 rotate x*90 translate <-5.9,149,0>}
  torus {1,.1 rotate x*90 translate <.9,149,0>}

  texture {metal}
 }
}

#declare mesana=
union
{
 cone {<0,0,0>,3,<0,130,0>,.5 texture {madera1}}
 #declare aa=30
 #while (aa<35)
   torus {3,.5 translate <0,aa,0> texture {cuerda}}
   #declare aa=aa+1
 #end
 cylinder {<0,125,0>,<0,131,0>,.65 texture {metal}}
 cylinder {<0,85,0>,<0,95,0>,1.35 texture {metal}}
 torus {1,.1 rotate z*90 translate <-1.64,127,0> texture {metal}}
}

#declare baupres=
union
{
 union
 {
  cone {<0,0,0>,3,<-110,0,0>,2}
  cone {<-100,3,0>,2,<-160,3,0>,.25}
  texture {madera1}
 }
 union
 {
  cylinder {<-105,3,0>,<-109,3,0>,3}
  cylinder {<-105,0,0>,<-109,0,0>,3}
  cylinder {<-160.1,3,0>,<-155,3,0>,.5}
  torus {1,.1 rotate x*90 translate <-157.5,4.59,0>}
  box {<-105,3,3>,<-109,0,-3>}
  texture {metal}
 }
}

