#declare cabos_mastelero_gavia_mayor=
union
{
 cylinder {<-9,173,0>,<-9,171,-20>,.25}
 cylinder {<-9,173,0>,<-9,171,20>,.25}
 cylinder {<-9,173,0>,<-9,170.75,-40>,.25}
 cylinder {<-9,173,0>,<-9,170.75,40>,.25}
}

#declare cabos_mastelero_mayor_mayor=
union
{
 cylinder {<-10,99,0>,<-10,96.5,-30>,.25}
 cylinder {<-10,99,0>,<-10,96.5,30>,.25}
 cylinder {<-10,99,0>,<-10,96.25,-50>,.25}
 cylinder {<-10,99,0>,<-10,96.25,50>,.25}
}

#declare cabos_mastelero_gavia_trinquete=
union
{
 cylinder {<-104,158,0>,<-104,156,-15>,.25}
 cylinder {<-104,158,0>,<-104,156,15>,.25}
 cylinder {<-104,158,0>,<-104,155.75,-30>,.25}
 cylinder {<-104,158,0>,<-104,155.75,30>,.25}
}

#declare cabos_mastelero_mayor_trinquete=
union
{
 cylinder {<-105,94,0>,<-105,91.5,-20>,.25}
 cylinder {<-105,94,0>,<-105,91.5,20>,.25}
 cylinder {<-105,94,0>,<-105,91.25,-40>,.25}
 cylinder {<-105,94,0>,<-105,91.25,40>,.25}
}

#declare estays_mayor_trinquete=
union
{
 cylinder {<-84.5,95,0>,<-10.5,174,0>,.25}
 cylinder {<-92,55,0>,<-15.5,100,0>,.25}
}

#declare estays_mayor_mesana=
union
{
 cylinder {<58.25,147,0>,<.5,174,0>,.25}
 cylinder {<57,52.5,0>,<10.5,100,0>,.25}
}

#declare estays_masteleros_mayor_mesana=
union
{
 cylinder {<-9,170,-40.5>,<58.25,147,0>,.25}
 cylinder {<-9,170,40.5>,<58.25,147,0>,.25}
 cylinder {<-10,95,-60.5>,<57,53.5,0>,.25}
 cylinder {<-10,95,60.5>,<57,53.5,0>,.25}
}

#declare estays_masteleros_trinquete_mayor=
union
{
 cylinder {<-10.5,174,0>,<-104,155,35.5>,.25}
 cylinder {<-10.5,174,0>,<-104,155,-35.5>,.25}
 cylinder {<-15.5,100,0>,<-105,90,-50.5>,.25}
 cylinder {<-15.5,100,0>,<-105,90,50.5>,.25}
}

#declare estays_trinquete_baupres=
union
{
 torus {1,.1 rotate x*90 translate <-199,51.8,0> texture {metal}}
 cylinder {<-110.5,95,0>,<-246.5,68.5,0>,.25}
}

#declare escalas_cofa_mayor=
union
{
 #declare aa=-5
 #while (aa<11)
   cylinder {<aa,23,26.5>,<aa,100,11.5>,.25}
   cylinder {<aa,23,-26.5>,<aa,100,-11.5>,.25}
   #declare aa=aa+5
 #end
 #declare aa=23
 #declare bb=26.5
 #while (aa<100)
  #if (aa>23)
   cylinder {<-5,aa,bb>,<10,aa,bb>,.25}
   cylinder {<-5,aa,bb*-1>,<10,aa,bb*-1>,.25}
  #end
   #declare aa=aa+5
   #declare bb=bb-1.006666666667
 #end
}

#declare escalas_cofa_trinquete=
union
{
 #declare aa=-100
 #while (aa<-80)
   cylinder {<aa,33.4,31>,<aa,95,11.5>,.25}
   cylinder {<aa,33.4,-31>,<aa,95,-11.5>,.25}
   #declare aa=aa+5
 #end
 #declare aa=32.5
 #declare bb=31
 #while (aa<95)
  #if (aa>32.5)
   cylinder {<-100,aa,bb>,<-85,aa,bb>,.25}
   cylinder {<-100,aa,bb*-1>,<-85,aa,bb*-1>,.25}
  #end
   #declare aa=aa+5
   #declare bb=bb-1.56
 #end
}

#declare escalas_puntal_mayor=
union
{
 #declare aa=-7
 #while (aa<0)
   cylinder {<aa,100,9>,<aa,174,3.5>,.25}
   cylinder {<aa,100,-9>,<aa,174,-3.5>,.25}
   #declare aa=aa+3
 #end
 #declare aa=100
 #declare bb=9
 #while (aa<174)
  #if (aa>104)
   cylinder {<-1,aa,bb>,<-7,aa,bb>,.25}
   cylinder {<-1,aa,bb*-1>,<-7,aa,bb*-1>,.25}
  #end
   #declare aa=aa+5
   #declare bb=bb-0.3716216216216
 #end
}

#declare escalas_puntal_trinquete=
union
{
 #declare aa=-102
 #while (aa<-95)
   cylinder {<aa,95,9>,<aa,159,3.5>,.25}
   cylinder {<aa,95,-9>,<aa,159,-3.5>,.25}
   #declare aa=aa+3
 #end
 #declare aa=95
 #declare bb=9
 #while (aa<159)
  #if (aa>96)
   cylinder {<-102,aa,bb>,<-96,aa,bb>,.25}
   cylinder {<-102,aa,bb*-1>,<-96,aa,bb*-1>,.25}
  #end
   #declare aa=aa+5
   #declare bb=bb-0.4296875
 #end
}

#declare jarcia=
union
{
 object {cabos_mastelero_gavia_mayor}
 object {cabos_mastelero_mayor_mayor}
 object {cabos_mastelero_gavia_trinquete}
 object {cabos_mastelero_mayor_trinquete}
 object {estays_mayor_trinquete}
 object {estays_mayor_mesana}
 object {estays_trinquete_baupres}
 object {escalas_cofa_mayor}
 object {escalas_cofa_trinquete}
 object {escalas_puntal_mayor}
 object {escalas_puntal_trinquete}
 object {estays_masteleros_mayor_mesana}
 object {estays_masteleros_trinquete_mayor}
 texture {cuerda}
}
